Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.xml
Class SEPType

    java.lang.Object
      org.openxri.xml.SEPElement
          org.openxri.xml.SEPType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class SEPType

extends SEPElement

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.openxri.xml.SEPElement
`DEFAULT_SELECT_ATTR, DEFAULT_SELECT_ATTR_BOOL, MATCH_ATTR_ANY, MATCH_ATTR_CONTENT, MATCH_ATTR_DEFAULT, MATCH_ATTR_NON_NULL, MATCH_ATTR_NONE, MATCH_ATTR_NULL, SELECT_ATTR_FALSE, SELECT_ATTR_TRUE, soLog`

Constructor Summary
`SEPType()` Creates a default `EppXriServiceEndpointType` object
`SEPType(java.lang.String type, java.lang.String match, java.lang.Boolean select)` Creates an `EppXriServiceEndpointType` object with the specified fields

Method Summary
`java.lang.Object` | `clone()`
`static SEPElement` | `fromXML(org.w3c.dom.Node root)` Converts an XML element into an `EppXriServiceEndpointType` object.
`java.lang.String` | `getType()` Gets the value of this Type rule.
`boolean` | `match(java.lang.String match)`
`void` | `setType(java.lang.String type)` Sets the value of this Type rule.
`java.lang.String` | `toString()`

Methods inherited from class org.openxri.xml.SEPElement
`equals, getMatch, getSelect, getValue, hashCode, setFromXML, setMatch, setSelect, setSelect, setSelect, setValue, toString, toXML`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SEPType

    public SEPType()

  Creates a default `EppXriServiceEndpointType` object

### SEPType

    public SEPType(java.lang.String type,
                   java.lang.String match,
                   java.lang.Boolean select)

  Creates an `EppXriServiceEndpointType` object with the specified fields

Method Detail

### fromXML

    public static SEPElement fromXML(org.w3c.dom.Node root)

  Converts an XML element into an `EppXriServiceEndpointType` object. The caller of this method must make sure that the root node is of the EPP XRI sepTypeType.

  Parameters:
    `root` - root node for an `EppXriServiceEndpoint` object in XML format
  Returns:
    an `EppXriServiceEndpointType` object, or null if the node is invalid

### getType

    public java.lang.String getType()

  Gets the value of this Type rule. This is an alias for the superclass' `getValue` method.

### setType

    public void setType(java.lang.String type)

  Sets the value of this Type rule. This is an alias for the superclass' `setValue` method.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### match

    public boolean match(java.lang.String match)

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `SEPElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.